html {
    font-size: 10px;
}

body {
    margin: 0;
    font-family: 'Montserrat', sans-serif;
}

header {
    border-bottom: 1px solid #C4C4C4;
}

.header {
    display: flex;
    max-width: 1400px;
    margin: 0 auto;
    align-items: center;
    padding: 1.5rem 0;
    

    .logo {
        width: 20%;
    }
    .search {
        width: 40%;
        font-size: 1.6rem;
        input {
            padding: 1rem 20rem 1rem 3rem;
        }
    }
    .btn__container {
        display: flex;
        width: 40%;
        justify-content: flex-end;
        button {
            font-size: 2rem;
            color: white;
            padding: 1.5rem 2.5rem;
            margin-left: 2.5rem;
            border-radius: 5px;
        }
    }
}

.container {
    max-width: 1400px;
    margin: 0 auto;
    padding: 2rem 0 0 0;
}

.rest__search {
    display: flex;
    justify-content: space-between;
    margin: 3rem 0;
    span {
        font-size: 3.6rem;
        font-weight: 700;
        
    }
    input {
        font-size: 1.6rem;
        width: 40%;
        border: none;
        box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
        padding: 1rem 3rem;
    }
}
    
.menu {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    
    .cards {
        box-shadow: 5px 5px 10px grey;
        border-radius: 10px;
    }

    .popular {
        width: 152px;
        position: absolute;
        margin-top: -249px;
        margin-left: 10px;
    }

    .popular:hover{
        filter: grayscale(1);
        transition: all 1s;
    }
    
    .cards div:nth-child(1){
        height: 160px;
        overflow: hidden;
        
    }

    .cards div:nth-child(1) img{
        width: 100%;
    }

    .cards div:nth-child(2){
        width: 386px;
        font-size: 2.4rem;
        font-weight: 600;
        padding-top: 10px;
        padding-left: 20px;
        padding-bottom: 14px;
        background-color: white;
    }
     
    .icons{
        padding-left: 20px;
        padding-bottom: 10px;
    }

    .icons span:nth-child(1){
        padding-right: 18px;
     }
    }

    .shops {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 30px;
        
        .cards {
            box-shadow: 5px 5px 10px grey;
            border-radius: 10px;

            .popular {
                width: 152px;
                position: absolute;
                margin-top: -249px;
                margin-left: 10px;
            }
        
            .popular:hover{
                filter: grayscale(1);
                transition: all 1s;
            }
        }
        
        .cards div:nth-child(1){
            height: 160px;
            overflow: hidden;
            
        }
    
        .cards div:nth-child(1) img{
            width: 100%;
        }
    
        .cards div:nth-child(2){
            width: 386px;
            font-size: 2.4rem;
            font-weight: 600;
            padding-top: 10px;
            padding-left: 20px;
            padding-bottom: 14px;
            background-color: white;
        }
         
        .icons{
            padding-left: 20px;
            padding-bottom: 10px;
        }
    
        .icons span:nth-child(1){
            padding-right: 18px;
         }
        }

.title__shops {
            font-size: 3.6rem;
            font-weight: 700;
            margin-top: 30px;
            margin-bottom: 30px;
        }
        
    footer {
      background: linear-gradient(91.41deg, #323232 25.4%, #000000 75.33%);
      height: 100px;
      margin-top: 350px;
      
      
        
        .footer {
            display: flex;
            max-width: 1400px;
            height: 100px;
            margin: 0 auto;
            align-items: center;
            

            .footer__menu {
             width: 70%;
             display: flex;
             gap: 27px;
             color: white;
             font-size: 1.8rem;
            }

            .footer__soc {
                width: 30%;
                display: flex;
                gap: 20px;
                justify-content: flex-end;
            }
        }
    }


  










